
#  Prise en main et paramétrage de ScoDoc 7

<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;" alt="/!\" /> Cette page 
concerne la version ScoDoc 7, et ne s'applique pas à la version ScoDoc 9 distribuée à partir de septembre 2021.
Pour ScoDoc 9, voir [cette page](GuideConfig.md).

Ce document suppose que le ScoDOc 7 a été installé suivant la procédure décrite dans [GuideInstallDebianDix](GuideInstallDebianDix.md).



##  Procédure à suivre pour créer un département et son utilisateur administrateur 
 * Connectez-vous au site: `https://votre.site.fr/`


Vous allez voir la page d'accueil de ScoDoc (il est possible que votre
navigateur vous demande d'accepter un certificat).

Il n'y a pas de "département défini": c'est normal, lors de l'installation nous
avons créé des bases de données, mais pas les interfaces web.

 * Suivez le lien *Identifiez vous comme administrateur*. L'utilisateur *admin*
   est administrateur et a tous les droits sur !ScoDoc. C'est le seul à pouvoir
   créer un nouveau département.

Le logiciel va vous demander de changer immédiatement le mot de passe administrateur. 
Entrez l'identifiant et le mot de passe définis pendant l'installation.

Après vous être identifié sur la page d'accueil ScoDoc, vous avez maintenant un
lien 'Administration de ScoDoc' qui vous permet d'ajouter un département, puis des utilisateurs.

 * Ajouter un département (donnez le nom du département créé pendant l'installation)

 * Ajouter un administrateur pour votre département: lien "Utilisateurs" (marge
   de gauche), puis suivre "ajouter un utilisateur". Donner à ce nouvel
   utilisateur les rôles `Admin`, `Ens` et `Secr` afin qu'il puisse effectuer
   toutes les opérations.

Quittez votre navigateur et reconnectez vous à ScoDoc avec votre nouvel utilisateur.

Vous pouvez si nécessaire créer plusieurs administrateurs par département (il
est préférable que chaque compte ne soit utilisé que par une seule personne,
pour éviter de divulguer les mots de passe et mieux suivre les opérations).

<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;"
alt="/!\" /> Surtout, évitez de travailler comme "admin": cet utilisateur doit
être réservé à la création de départements. Prenez le temps de créer un
utilisateur "chef de département !".



##  Changement des logos apparaissant sur les documents 
Les documents PDF (PV de jurys...) incluent les logos de l'établissement. Par
défaut, ceux de l'IUT de Villetaneuse et de l'Université Paris 13 sont
distribués (ce n'est pas bien, ils ne sont sans doute pas sous licence libre !).
Pour les changer, placer vos logos (fichiers images JPEG ou PNG) dans le
répertoire
```
/opt/scodoc-data/config/logos
```
(en ScoDoc 7, c'était `/opt/scodoc/var/scodoc/config/logos`)

avec les noms `logo_header.jpg` (habituellement le logo de votre composante,
mais faites comme vous voulez) et `logo_footer.jpg` (habituellement le logo de
votre Université ou école).

Ensuite, éditez le fichier 
```
/opt/scodoc-data/config/scodoc_local.py
```
(le créer s'il n'existe pas).
Ce fichier doit contenir un dictionnaire sous la forme suivante:
```
CONFIG = {
    # Taille du l'image logo: largeur/hauteur
    # W/H
    CONFIG.LOGO_FOOTER_ASPECT = 326 / 96.0
    # Taille dans le document en millimetres
    CONFIG.LOGO_FOOTER_HEIGHT = 10
    # Proportions logo (donné ici pour IUTV)
    CONFIG.LOGO_HEADER_ASPECT = 549 / 346.0
    # Taille verticale dans le document en millimetres
    CONFIG.LOGO_HEADER_HEIGHT = 28
    ... autres variables de configuration locale
}
```

Adaptez les valeurs des variables `LOGO_FOOTER_ASPECT` et suivantes à votre cas
(ce n'est pas pratique, il faudrait modifier le code ScoDoc pour calculer ces
valeurs à partir des fichiers images).


Enfin, redémarrez ScoDoc (`/etc/init.d/scodoc start`).

